//
//	 ______    ______    ______    
//	/\  __ \  /\  ___\  /\  ___\   
//	\ \  __<  \ \  __\_ \ \  __\_ 
//	 \ \_____\ \ \_____\ \ \_____\ 
//	  \/_____/  \/_____/  \/_____/ 
//
//	Powered by BeeFramework
//
//
//  VankeAffairsBoard_iPhone.m
//  vanke
//
//  Created by xiaomi on 15/10/28.
//  Copyright © 2015年 gomore. All rights reserved.
//

#import "VankeAffairsBoard_iPhone.h"
#import "VankeNoticeListBoard_iPhone.h"

#pragma mark -

@interface VankeAffairsBoard_iPhone()
{
	//<#@private var#>
}
@end

@implementation VankeAffairsBoard_iPhone

SUPPORT_AUTOMATIC_LAYOUT( YES )
SUPPORT_RESOURCE_LOADING( YES )

DEF_OUTLET( BeeUIButton, btnNotice )
DEF_OUTLET( BeeUIButton, btnBill )
DEF_OUTLET( BeeUIButton, btnSaleInput )
DEF_OUTLET( BeeUIButton, btnServiceApply )

- (void)load
{
}

- (void)unload
{
}

#pragma mark - Signal

ON_CREATE_VIEWS( signal )
{
    self.navigationBarShown = YES;
    self.navigationBarTitle = @"事务";
    
    UIColor *color = [UIColor colorWithRed:237/255.0 green:27/255.0 blue:35/255.0 alpha:1.0];
    if ( IOS7_OR_LATER ) {
        self.navigationController.navigationBar.barTintColor = color;
    } else {
        self.navigationController.navigationBar.tintColor = color;
    }
}

ON_DELETE_VIEWS( signal )
{
}

ON_LAYOUT_VIEWS( signal )
{
}

ON_WILL_APPEAR( signal )
{
}

ON_DID_APPEAR( signal )
{
}

ON_WILL_DISAPPEAR( signal )
{
}

ON_DID_DISAPPEAR( signal )
{
}

ON_SIGNAL3(VankeAffairsBoard_iPhone, btnNotice, signal) {    
    VankeNoticeListBoard_iPhone * board = [VankeNoticeListBoard_iPhone board];
    [self.stack pushBoard:board animated:YES];
}

ON_SIGNAL3(VankeAffairsBoard_iPhone, btnBill, signal) {
    INFO(@"button bill pressed.");
}

ON_SIGNAL3(VankeAffairsBoard_iPhone, btnSaleInput, signal) {
    INFO(@"button sale input pressed.");
}

ON_SIGNAL3(VankeAffairsBoard_iPhone, btnServiceApply, signal) {
    INFO(@"button service apply pressed.");
}


@end
